#ifndef APL_COMMON_QUERY_CLASSES
#define APL_COMMON_QUERY_CLASSES 

#include <afxtempl.h>
#include "ReportDict.h"

#define APL_GET_HEADER 1
#define APL_GET_QUERY 2
#define APL_GET_INFO 4

class CDataSource;
class CHeader;
class CaplAPI;

class AFX_CLASS_EXPORT CaplQuery
{
public:
	CaplAPI *m_api;
	CHeader* m_header;
	CDataSource* m_DataSource;
	CString m_descr;
	UINT m_id;
	CString m_function_name;
	CaplQuery(LPCTSTR descr, LPCTSTR fname, UINT id)
	{
		m_id = id;
		m_descr = descr;
		m_DataSource = NULL;
		m_header = NULL;
		m_function_name = fname;
		m_api = NULL;
	};
	CaplQuery()
	{
		m_id = 0;
		m_descr = _T("");
		m_DataSource = NULL;
		m_header = NULL;
		m_function_name = _T("");
		m_api = NULL;
	};
};
#endif